curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/scx/sellers/{salesChannelId}/categories/{channelCategoryId}/attribute-values \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/scx/sellers/{salesChannelId}/categories/{channelCategoryId}/attribute-values"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/scx/sellers/{salesChannelId}/categories/{channelCategoryId}/attribute-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/scx/sellers/{salesChannelId}/categories/{channelCategoryId}/attribute-values",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/scx/sellers/{salesChannelId}/categories/{channelCategoryId}/attribute-values"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v2/scx/sellers/{salesChannelId}/categories/{channelCategoryId}/attribute-values")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/scx/sellers/{salesChannelId}/categories/{channelCategoryId}/attribute-values")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"attributeCode": "<string>",
"definitionScope": 0,
"value": "<string>",
"isTemplate": true,
"referenceGroup": 123,
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesChannelId": "<string>",
"channelCategoryId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channelCategoryAttributeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"fileId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Query Scx Category Attribute Seller Values
Delivers the attribute values with an attribute code that an SCX seller has stored for a channel category. Only attribute codes that the category defines are returned; custom fields and values whose attribute code has no definition are not returned. Unless a sort order is requested, the values are ordered by attribute code, reference group and ID. An invalid sales channel id is rejected as invalid (error code SALES_CHANNEL_ID_INVALID); an unknown or deleted sales channel, or one that is not an SCX seller, is rejected as not found (error code SCX_SALES_CHANNEL_NOT_FOUND), as is a category that does not exist or belongs to another channel (error code SCX_CHANNEL_CATEGORY_NOT_FOUND). A category without values yields an empty page.
Paged query. Query parameters: pageNumber (default 1), pageSize (default 100). Sorting via sortBy (comma-separated fields, applied as OrderBy then ThenBy) and sortDescending (default false).
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/scx/sellers/{salesChannelId}/categories/{channelCategoryId}/attribute-values \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/scx/sellers/{salesChannelId}/categories/{channelCategoryId}/attribute-values"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/scx/sellers/{salesChannelId}/categories/{channelCategoryId}/attribute-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/scx/sellers/{salesChannelId}/categories/{channelCategoryId}/attribute-values",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/scx/sellers/{salesChannelId}/categories/{channelCategoryId}/attribute-values"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v2/scx/sellers/{salesChannelId}/categories/{channelCategoryId}/attribute-values")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/scx/sellers/{salesChannelId}/categories/{channelCategoryId}/attribute-values")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"attributeCode": "<string>",
"definitionScope": 0,
"value": "<string>",
"isTemplate": true,
"referenceGroup": 123,
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesChannelId": "<string>",
"channelCategoryId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channelCategoryAttributeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"fileId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Scopes
Grants permission to read SCX offer data, such as channel attributes.
Grants permission to read SCX offer data, such as channel attributes.
Headers
The tenant ID for the target ERP instance.
Path Parameters
Sales channel id of the SCX seller/account. Opaque, tenant-local composite identifier (not a UUID); use the id returned by "GET /v2/sales-channels".
ID of the channel category. Represents a key for a SCX category, used for identity and serialization.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Query Parameters
Number of the page of items to fetch. Defaults to 1 when omitted.
Size of the page specified by PageNumber. Defaults to 100 when omitted.
Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).
Sort in descending order. Defaults to ascending when omitted.
Was this page helpful?